Bug 729250 - Bump-and-rebuild needed to fix multilib problem on F-15
Summary: Bump-and-rebuild needed to fix multilib problem on F-15
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libdb
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 712943 727138
TreeView+ depends on / blocked
 
Reported: 2011-08-09 09:04 UTC by Paul Howarth
Modified: 2013-07-02 23:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:52:53 UTC


Attachments (Terms of Use)

Description Paul Howarth 2011-08-09 09:04:09 UTC
cyrus-sasl in Fedora 15 has been rebuilt against libdb rather than db4 as it was in the original release, in order to resolve segfaults during SMTP AUTH in sendmail (Bug #712943). The update is here:

https://admin.fedoraproject.org/updates/cyrus-sasl-2.1.23-18.fc15

The cyrus-sasl-lib package included in this build is multilib, but unfortunately libdb wasn't multilibbed in the original F-15 release so cyrus-sasl-lib.i386 in the x86_64 updates-testing repo has broken dependencies. I raised this issue with rel-eng here:

https://fedorahosted.org/rel-eng/ticket/4854

The upshot is that a libdb update is needed to resolve this, as the original "Everything" repo can't be touched now. A simple bump-and-rebuild should suffice.

Comment 1 Jindrich Novy 2011-08-09 09:51:42 UTC
libdb-5.1.25-3.fc15 is now (re)built.

Feel free to let me know if you need any further assistance.

Comment 2 Rex Dieter 2011-08-09 19:44:18 UTC
I don't see any bodhi updates issued for libdb yet.

Comment 3 Rex Dieter 2011-08-09 19:45:22 UTC
It would be best if it were bundled together with cyrus-sasl, for example.  (Or in the least, it were pushed stable *prior* to cyrsus-sasl doing so)

Comment 4 Paul Howarth 2011-08-09 20:12:49 UTC
I asked jfch2222 to add the libdb build to the cyrus-sasl update (https://admin.fedoraproject.org/updates/cyrus-sasl-2.1.23-18.fc15) but it's not happened yet.

Comment 5 Paul Howarth 2011-08-11 13:16:40 UTC
(In reply to comment #4)
> I asked jfch2222 to add the libdb build to the cyrus-sasl update
> (https://admin.fedoraproject.org/updates/cyrus-sasl-2.1.23-18.fc15) but it's
> not happened yet.

No sign of any action there so maybe it's better to raise a separate libdb update instead and get that pushed first to fix the broken deps?

Comment 6 Rex Dieter 2011-08-11 13:26:35 UTC
Agreed, I'll do it.  it's been long enough, imo.

Comment 7 Paul Howarth 2011-08-20 12:48:12 UTC
The libdb update has made it to stable now, resolving the original problem - thanks.

I did notice however that libdb-utils seems to be uninstallable: it conflicts with db4-utils since the same binaries (linked against different Berekeley DB versions) are included in each package, and db4-utils can't be removed because rpm requires it (which begs the question as to why rpm is still built with db4 rather than libdb).

Comment 8 Fedora End Of Life 2012-08-07 19:52:57 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.